/* 
	Java Game Kit    
	Copyright (C) 2009 Johan Ceuppens 

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package bloodlands;

import java.util.Vector;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.microedition.io.*;
import java.io.*;



public class StateImageLibrary
{
	
    protected int length = 0;
    protected Vector images;

    public StateImageLibrary()
    {
        images = new Vector();
    }

    public void add(String url)
    {
	try {
            
            Image img = getImage(url);
            images.addElement(img);
            length++;
            
        } catch (Exception e) {
            System.out.println("StateImageLibrary : " + e.toString());
        }
    }


    /*
     * Private Methods
     */

    private Image getImage(String url) throws IOException
    {

	InputStream istrm = (InputStream) Connector.openInputStream(url);
	Image im = null;

        try {

	    ByteArrayOutputStream bstrm = new ByteArrayOutputStream();
	    int c;

	    while ((c = istrm.read()) != -1)
                bstrm.write(c);

	    byte imageData[] = bstrm.toByteArray();

	    im = Image.createImage(imageData, 0, imageData.length);
	}
	finally {
	    if (istrm != null)
		istrm.close();
	}

	return (im == null ? null : im);

    }
};
